Skip to main content
GET
/
v1-preview
/
payroll-connections
/
{payroll_connection}
/
employee-data
/
{employee_data}
/
profiles
/
{profile}
Get employee data (preview)
curl --request GET \
  --url https://api.payrollintegrationsapp.com/v1-preview/payroll-connections/{payroll_connection}/employee-data/{employee_data}/profiles/{profile} \
  --header 'Authorization: Bearer <token>'
{
  "id": "11111111-1111-1111-1111-111111111111",
  "payrollConnectionId": "880e8400-e29b-41d4-a716-446655440003",
  "payrollPlatformEmployeeIdentifier": "PPL-98765",
  "payrollPlatformDisplayIdentifier": "EMP-12345",
  "socialSecurityNumber": null,
  "addresses": [
    {
      "address1": "123 Main St",
      "address2": "Apt 4B",
      "city": "San Francisco",
      "countryCode": "US",
      "state": "CA",
      "zip": "94102"
    }
  ],
  "contact": {
    "emailPersonal": null,
    "emailWork": "john.doe@example.com",
    "phoneNumberPersonal": null,
    "phoneNumberPersonalHome": null,
    "phoneNumberPersonalMobile": "+11235550123",
    "phoneNumberWork": null,
    "phoneNumberWorkHome": null,
    "phoneNumberWorkMobile": null
  },
  "dateOfBirth": "1985-06-15",
  "firstName": "John",
  "lastName": "Doe",
  "middleName": "Robert",
  "maritalStatus": "M",
  "sex": "M",
  "adjustedServiceDate": null,
  "hireDate": "2020-03-15",
  "isContractor": false,
  "leaveStartDate": null,
  "leaveEndDate": null,
  "rehireDate": null,
  "seniorityDate": "2020-03-15",
  "employmentStatus": "A",
  "terminationDate": null,
  "employmentType": "F",
  "payRates": [
    {
      "amount": "75000.00",
      "default": true,
      "type": "ANNUAL"
    }
  ],
  "payFrequency": "BI_WEEKLY",
  "payType": "S"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payroll_connection
string<uuid>
required
employee_data
string<uuid>
required
profile
string<uuid>
required

Response

Employee details

id
string<uuid>
required

Payroll Integrations employee specific uuid

payrollConnectionId
string<uuid>
required
payrollPlatformEmployeeIdentifier
string
required

The payroll platform specific unique employee identifier.

payrollPlatformDisplayIdentifier
string | null

The payroll platform specific display employee identifier.

socialSecurityNumber
string | null

Social security number if provided in the format ###-##-####

addresses
object[]
contact
object
dateOfBirth
string<date> | null

Date of Birth in ISO format YYYY-MM-DD

firstName
string | null
lastName
string | null
middleName
string | null
maritalStatus
enum<string> | null

D=Divorced, M=Married, S=Single, W=Widowed, H=Head of House, P=Domestic Partner

Available options:
D,
M,
S,
W,
H,
P
sex
enum<string> | null
Available options:
M,
F
adjustedServiceDate
string<date> | null

Adjusted date of when the employee's service began in case of transfers, leaves of absence, etc. in ISO format YYYY-MM-DD

hireDate
string<date> | null

Hire Date in ISO format YYYY-MM-DD

isContractor
boolean | null
leaveStartDate
string<date> | null

Leave Start Date in ISO format YYYY-MM-DD

leaveEndDate
string<date> | null

Leave End Date in ISO format YYYY-MM-DD

rehireDate
string<date> | null

Rehire Date in ISO format YYYY-MM-DD

employmentStatus
enum<string> | null

A=Active, T=Terminated, C=Deceased, D=Disabled, R=Retired, L=Leave of Absence

Available options:
A,
T,
C,
D,
R,
L
employmentType
enum<string> | null

F=Full time, P=Part time, T=Temporary, I=Intern, S=Seasonal, C=Contractor

Available options:
F,
P,
T,
I,
S,
C
payRates
object[] | null
payFrequency
enum<string> | null

The frequency at which the employee is paid. Used to calculate pay period amount from annual salary amount or vice versa.

Available options:
DAILY,
WEEKLY,
BI_WEEKLY,
SEMI_MONTHLY,
MONTHLY,
QUARTERLY,
YEARLY,
UNSCHEDULED
payType
enum<string> | null

Denotes whether the employee is salaried or paid an hourly wage. H=Hourly, S=Salaried

Available options:
H,
S
seniorityDate
string<date> | null

Seniority Date in ISO format YYYY-MM-DD

terminationDate
string<date> | null

Termination Date in ISO format YYYY-MM-DD